#!/bin/bash

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash GEXT_HUGIN . $*
fi

if [ -z $GEXT_HUGIN ] ; then
  source gs3-setup.sh
fi

if [ -z $GEXTHUGIN_DEVEL ] ; then
    # Set environment variable so we can tell devel.bash has been sourced
    export GEXTHUGIN_DEVEL=$GEXT_HUGIN
    
    export PATH="$GEXTHUGIN_INSTALLED/bin:$PATH"
    export CFLAGS="-I$GEXTHUGIN_INSTALLED/include $CFLAGS"
    export CPPFLAGS="-I$GEXTHUGIN_INSTALLED/include $CPPFLAGS"
    export CXXFLAGS="-I$GEXTHUGIN_INSTALLED/include $CXXFLAGS"
    export LDFLAGS="-L$GEXTHUGIN_INSTALLED/lib $LDFLAGS"
    export PKG_CONFIG_PATH="$GEXTHUGIN_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
    
    echo "+Your environment is now setup to compile with the Hugin Support Library"

else
    echo "+Your environment is already setup to compile with the Hugin Support Library"
fi